'use strict';

exports.__esModule = true;
exports.shallowEqual = exports.sameValueZeroEqual = exports.deepEqual = exports.createCustomEqual = undefined;

var _comparator = require('./comparator');

var _comparator2 = _interopRequireDefault(_comparator);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// comparator
var createCustomEqual = exports.createCustomEqual = _comparator2.default;

// utils
var deepEqual = exports.deepEqual = (0, _comparator2.default)();
var sameValueZeroEqual = exports.sameValueZeroEqual = (0, _utils.createIsSameValueZero)();
var shallowEqual = exports.shallowEqual = (0, _comparator2.default)(_utils.createIsSameValueZero);

exports.default = {
  createCustom: createCustomEqual,
  deep: deepEqual,
  sameValueZero: sameValueZeroEqual,
  shallow: shallowEqual
};